com.smartgwt.client.types

## Enum SelectionAppearance

- java.lang.Object
- - java.lang.Enum<SelectionAppearance>
  - - com.smartgwt.client.types.SelectionAppearance

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SelectionAppearance>

      public enum SelectionAppearance
      extends java.lang.Enum<SelectionAppearance>
      implements ValueEnum

  How data selection should be presented to the user.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECKBOX` an extra, non-data column should be automatically added to the ListGrid, showing checkboxes that can be toggled to select rows.
    `ROW_STYLE` selected rows should be shown with different appearance - see `ListGrid.getCellStyle()` and optionally `ListGrid.selectionCanvas`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SelectionAppearance` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectionAppearance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROW_STYLE

          public static final SelectionAppearance ROW_STYLE

      selected rows should be shown with different appearance - see `ListGrid.getCellStyle()` and optionally `ListGrid.selectionCanvas`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rowStyle".

    - #### CHECKBOX

          public static final SelectionAppearance CHECKBOX

      an extra, non-data column should be automatically added to the ListGrid, showing checkboxes that can be toggled to select rows. See `ListGrid.getCheckboxField()`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "checkbox".

  - ### Method Detail

    - #### values

          public static SelectionAppearance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionAppearance c : SelectionAppearance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectionAppearance valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`